Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.jsp.ast
Class SyntaxErrorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  net.sourceforge.pmd.ast.ParseException
                      net.sourceforge.pmd.jsp.ast.ParseException
                          net.sourceforge.pmd.jsp.ast.SyntaxErrorException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  StartAndEndTagMismatchException

public abstract class SyntaxErrorException
extends ParseException

Author:
  Pieter_Van_Raemdonck Exception indicating that a syntactic error has been found.
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sourceforge.pmd.jsp.ast.ParseException
`currentToken, eol, expectedTokenSequences, specialConstructor, tokenImage`

Fields inherited from class java.lang.RuntimeException
``

Constructor Summary
`SyntaxErrorException(int line, java.lang.String ruleName)`

Method Summary
`int` | `getLine()`
`java.lang.String` | `getRuleName()`

Methods inherited from class net.sourceforge.pmd.jsp.ast.ParseException
`add_escapes, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SyntaxErrorException

    public SyntaxErrorException(int line,
                                java.lang.String ruleName)

Parameters:
  `line` -
  `ruleName` -

Method Detail

### getLine

    public int getLine()

  Returns:
    Returns the line.

### getRuleName

    public java.lang.String getRuleName()

  Returns:
    Returns the ruleName.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.